@charset "UTF-8";

.logo-wrapper {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  /* background-color: #fff; */
  position: relative;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

.logo-wrapper img {
  width: 80%;
  height: 80%;
  object-fit: contain; /* 中身を枠に合わせる（画像が切れない） */
}

#loader {
  transition: all 0.3s ease-in-out;
  opacity: 1;
  visibility: visible;
  position: fixed;
  height: 100vh;
  width: 100%;
  background: #fff;
  z-index: 90000;
}
#loader.fadeOut {
  opacity: 0;
  visibility: hidden;
}
.spinner {
  width: 40px;
  height: 40px;
  position: absolute;
  top: calc(50% - 20px);
  left: calc(50% - 20px);
  background-color: #333;
  border-radius: 100%;
  -webkit-animation: sk-scaleout 1s infinite ease-in-out;
  animation: sk-scaleout 1s infinite ease-in-out;
}
@-webkit-keyframes sk-scaleout {
  0% {
    -webkit-transform: scale(0);
  }
  100% {
    -webkit-transform: scale(1);
    opacity: 0;
  }
}
@keyframes sk-scaleout {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 0;
  }
}

.datepicker {
  z-index: 1000 !important;
}
.form-label {
  margin-bottom: 0 !important;
}

.table-wrap {
  overflow-x: scroll;
}
.table {
  width: 100%;
  border-collapse: collapse;
}
.table th,
.table td {
  border: 2px solid #eee;
  padding: 4px 8px;
}

.dataTables_scroll,
.dataTables_length,
.dataTables_filter {
  margin-bottom: 20px;
}

.unlink {
  pointer-events: none;
}

h4 {
  color: #27535e !important;
  margin-bottom: 0 !important;
}

h6 {
  color: #3d76cf !important;
}

table {
  height: 100%;
}
th {
  background-color: #67aaf9 !important;
  color: #fff !important;
}
table td {
  height: 100%;
  border: 2px solid #dfe2e6 !important;
}
table td div {
  height: 100%;
}
table td div textarea {
  height: 100%;
}

.main-th {
  background-color: #f2a200 !important;
  color: #fff !important;
  border: 1px solid #dfe2e6 !important;
}
.main-td {
  color: #f2a200 !important;
  background-color: #fff !important;
  border: 1px solid #dfe2e6 !important;
}
.estimation-title-th {
  background-color: #fff !important;
  vertical-align: middle;
  color: var(
    --bs-table-color-state,
    var(--bs-table-color-type, var(--bs-table-color))
  ) !important;
}
.estimation-th {
  background-color: #3d76cf !important;
  vertical-align: middle;
  color: #fff !important;
  border: 1px solid #dfe2e6 !important;
}
.estimation-td {
  background-color: #fff !important;
  vertical-align: middle;
  color: #3d76cf !important;
  border: 1px solid #dfe2e6 !important;
}
.work-th {
  background-color: #4f9fb5 !important;
  color: #fff !important;
  border: 1px solid #dfe2e6 !important;
  /* background-color: #5888d4 !important; */
  /* background-color: #57a451 !important; */
}
.work-td {
  background-color: #fff !important;
  color: #4f9fb5 !important;
  border: 1px solid #dfe2e6 !important;
  /* background-color: #5888d4 !important; */
  /* background-color: #57a451 !important; */
}
.work-record-writer {
  color: #f2a200 !important;
  font-size: 14px;
  font-weight: bold;
}

.no-use-cell {
  background-color: #dddddd !important;
}
.record-th {
  background-color: #27535e !important;
  color: #fff !important;
}

.attendance-date {
  width: 150px;
}
.attendance-lunch {
  padding: 0 5px;
  height: auto !important;
}
.attendance-start {
  padding: 0 5px;
  height: auto !important;
}
.attendance-end {
  padding: 0 5px;
  height: auto !important;
}

.del-btn {
  display: none !important;
}
.input-box {
  background: rgb(103, 170, 249);
  background: linear-gradient(
    90deg,
    rgba(103, 170, 249, 1) 0%,
    rgba(103, 170, 249, 1) 50%,
    rgba(255, 255, 255, 1) 75%,
    rgba(255, 255, 255, 1) 100%
  );
  border-top-left-radius: 0.375rem;
  border-bottom-left-radius: 0.375rem;
}
.input-label {
  background-color: #67aaf9 !important;
  border-top-left-radius: 0.375rem;
  border-bottom-left-radius: 0.375rem;
  color: #fff !important;
  font-weight: bold;
}
.input-item {
  padding-left: 0 !important;
  padding-right: 0 !important;
}
.entry-form input[type="text"].original,
.entry-form input[type="number"].original,
.entry-form input[type="date"].original,
.entry-form select.original {
  border-top-left-radius: 0.375rem !important;
  border-bottom-left-radius: 0.375rem !important;
}
.entry-form input[type="date"],
.entry-form input[type="time"],
.entry-form input[type="text"],
.entry-form input[type="email"],
.entry-form input[type="number"],
.entry-form select,
.entry-form textarea {
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
  border: 1px solid #3d76cf !important;
}
.entry-form input[type="radio"] {
  border-radius: 0.375rem !important;
  border: 1px solid #3d76cf !important;
}
.entry-form input[type="checkbox"] {
  border-radius: 0 !important;
  border: 1px solid #3d76cf !important;
}
.edit-form input[type="date"],
.edit-form input[type="time"],
.edit-form input[type="text"],
.edit-form input[type="email"],
.edit-form input[type="number"],
.edit-form input[type="radio"],
.edit-form select,
.edit-form textarea {
  border-radius: 0.375rem !important;
  border-color: #3d76cf !important;
}
.edit-form input[type="checkbox"] {
  border-color: #3d76cf !important;
}

@media (min-width: 992px) {
  .main-content {
    padding: 130px 20px 20px !important;
    min-height: calc(100vh - 40px) !important;
  }
  .nav-right {
    position: absolute !important;
    right: 0;
  }
  .header .header-container .nav-right > li > a {
    min-height: 65px;
    padding: 15px 0;
  }
}
.h-item {
  padding-top: 21px;
}
.h-navi {
  clear: both;
  padding: 5px 0;
}
.flex-box {
  display: flex;
  justify-content: left;
  list-style-type: none;
  flex-wrap: wrap;
  align-items: center;
}
.flex-box li {
  padding-right: 2rem;
}
.flex-box li.menu {
  width: 10%;
}
.menu-text {
  font-size: 12px !important;
}

@media (max-width: 991px) {
  .h-navi {
    display: none;
  }
}

.parent-attendance-date {
  padding: 5px;
}

.parent_table td {
  word-break: break-all;
}

.no-disp {
  display: none;
}

.list-table {
  border-bottom: 2px double red !important;
}

.menu-pointer {
  background-color: #27535e !important;
  color: #fff !important;
}
.menu-pointer-hover:hover {
  background-color: #67aaf9 !important;
  cursor: pointer;
  transform: scale(1.05);
}
.menu-pointer-hover:hover div {
  color: #fff !important;
}

.table-bg-week6 {
  background-color: #eaeaff !important;
}
.table-bg-week0 {
  background-color: #ffecec !important;
}
.table-bg-skyblue {
  background-color: #b8cfff !important;
  font-weight: bold !important;
}
.table-bg-yellow {
  background-color: #ffffb8 !important;
  font-weight: bold !important;
}
.table-bg-green {
  background-color: #c4ffb8 !important;
  font-weight: bold !important;
}
.table-bg-red {
  background-color: #ffb7b7 !important;
  font-weight: bold !important;
}

.table-emptybg {
  background-color: #edd245 !important;
  font-weight: bold !important;
  color: #ef0000 !important;
}
.edit-text {
  color: #ef0000 !important;
  font-weight: bold !important;
}

.td-width {
  width: 70%;
}
.table-expiry-bg {
  background-color: #ea80ff !important;
  color: #fff !important;
}
.table-expiry-bg a {
  color: #fff !important;
}
.table-meal-bg {
  background-color: #ffbf80 !important;
  color: #fff !important;
}
.table-meal-bg a {
  color: #fff !important;
}
.table-both-bg {
  background: linear-gradient(to right, #ea80ff 0%, #ffbf80 50%, #ffbf80 100%);
}
.table-both-bg a {
  color: #fff !important;
}

.underline {
  display: inline-block;
  padding-bottom: 4px;
  position: relative;
}

.underline::after {
  background-color: #3d76cf;
  bottom: -5;
  content: "";
  display: block;
  height: 3px;
  left: 0;
  position: absolute;
  transition: 0.2s all;
  width: 0;
}

.underline:hover::after {
  width: 100%;
}

.attendance-table a {
  font-weight: bold;
}

/*モーダル本体の指定 + モーダル外側の背景の指定*/
.modal-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  background: rgba(0, 0, 0, 50%);
  padding: 40px 20px;
  overflow: auto;
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
  box-sizing: border-box;
}
/*モーダル本体の擬似要素の指定*/
.modal-container:before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  height: 100%;
}
/*モーダル本体に「active」クラス付与した時のスタイル*/
.modal-container.active {
  opacity: 1;
  visibility: visible;
}
/*モーダル枠の指定*/
.modal-body {
  position: relative;
  display: inline-block;
  vertical-align: middle;
  max-width: 500px;
  width: 90%;
}
/*モーダルを閉じるボタンの指定*/
.modal-close {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  top: -40px;
  right: -40px;
  width: 40px;
  height: 40px;
  font-size: 40px;
  color: #fff;
  cursor: pointer;
}
/*モーダル内のコンテンツの指定*/
.modal-content {
  background: #fff;
  text-align: left;
  padding: 30px;
}

.sidebar-menu > li > .active-menu {
  display: block;
  font-size: 15px;
  font-weight: 500;
  padding: 5px 15px;
  position: relative;
  white-space: nowrap;
}
.sidebar-menu > li > .active-menu .icon-holder {
  border-radius: 6px;
  display: inline-block;
  font-size: 17px;
  height: 35px;
  left: 0;
  line-height: 35px;
  margin-right: 14px;
  position: relative;
  text-align: center;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
  width: 35px;
}

.link-color1 {
  color: #3d76cf !important;
  font-weight: bold !important;
  display: inline-block;
  padding-bottom: 4px;
  position: relative;
}
.link-color1::after {
  background-color: #3d76cf;
  bottom: -5;
  content: "";
  display: block;
  height: 3px;
  left: 0;
  width: 100%;
}
.link-color2 {
  color: #3d76cf !important;
  font-weight: bold !important;
  display: inline-block;
  padding-bottom: 4px;
  position: relative;
}
.link-color2::after {
  background-color: #3d76cf;
  bottom: -5;
  content: "";
  display: block;
  height: 3px;
  left: 0;
  width: 100%;
}
.link-color3 {
  color: #3d76cf !important;
  font-weight: bold !important;
  display: inline-block;
  padding-bottom: 4px;
  position: relative;
}
.link-color3::after {
  background-color: #3d76cf;
  bottom: -5;
  content: "";
  display: block;
  height: 3px;
  left: 0;
  width: 100%;
}
.link-color4 {
  color: #3d76cf !important;
  font-weight: bold !important;
  display: inline-block;
  padding-bottom: 4px;
  position: relative;
}
.link-color4::after {
  background-color: #3d76cf;
  bottom: -5;
  content: "";
  display: block;
  height: 3px;
  left: 0;
  width: 100%;
}
.link-color5 {
  color: #3d76cf !important;
  font-weight: bold !important;
  display: inline-block;
  padding-bottom: 4px;
  position: relative;
}
.link-color5::after {
  background-color: #3d76cf;
  bottom: -5;
  content: "";
  display: block;
  height: 3px;
  left: 0;
  width: 100%;
}

.material-symbols-outlined {
  font-family: "Material Symbols Outlined";
  font-weight: normal;
  font-style: normal;
  font-size: 2.1875rem !important;
  line-height: 1;
  letter-spacing: normal;
  text-transform: none;
  display: block !important;
  white-space: nowrap;
  word-wrap: normal;
  direction: ltr;
  -webkit-font-feature-settings: "liga";
  -webkit-font-smoothing: antialiased;
  display: block;
}

.table-total {
  border-top: 10px double #eee !important;
}

.attendance_all_class,
.attendance_class {
  cursor: pointer;
}
.popover {
  max-width: 50% !important;
}
.custom-popover {
  --bs-popover-max-width: 200px !important;
  --bs-popover-border-color: var(--bs-primary) !important;
  --bs-popover-header-bg: var(--bs-primary) !important;
  --bs-popover-header-color: var(--bs-white) !important;
  --bs-popover-body-padding-x: 1rem !important;
  --bs-popover-body-padding-y: 0.5rem !important;
}
.popover-header {
  padding: var(--bs-popover-header-padding-y) var(--bs-popover-header-padding-x) !important;
  margin-bottom: 0 !important;
  font-size: var(--bs-popover-header-font-size) !important;
  color: var(--bs-popover-header-color) !important;
  background-color: var(--bs-popover-header-bg) !important;
  border-bottom: var(--bs-popover-border-width) solid
    var(--bs-popover-border-color) !important;
  border-top-left-radius: var(--bs-popover-inner-border-radius) !important;
  border-top-right-radius: var(--bs-popover-inner-border-radius) !important;
}
.popover-body {
  padding: var(--bs-popover-body-padding-y) var(--bs-popover-body-padding-x) !important;
  color: var(--bs-popover-body-color) !important;
  font-size: 14px;
  width: 100%;
}

.accordion-body-header {
  padding: var(--bs-accordion-body-padding-y) var(--bs-accordion-body-padding-x);
}
.accordion-button {
  font-weight: bold;
}
#orijin-select {
  display: none;
}

.attendance_edit_table .attendance_date {
  font-size: 2rem !important;
  background-color: #fff !important;
  color: #3d76cf !important;
}
.attendance_edit_table th,
.attendance_edit_table td {
  width: 25%;
}

.pdf-dl {
  background-color: #c4ffb8 !important;
}

.submit-btn {
  padding: 0.2rem 4rem !important;
  font-size: 1.2rem !important;
  margin-bottom: 1rem !important;
}

.invoice-list tr th,
.invoice-list tr td {
  width: 7%;
}
.invoice-list tr th.name,
.invoice-list tr td.name {
  width: 10%;
}
.invoice-list tr th.input,
.invoice-list tr td.input {
  width: 13%;
}
.invoice-list tr th.issue,
.invoice-list tr td.issue {
  width: 10%;
}
.invoice-list tr th.date,
.invoice-list tr td.date {
  width: 6%;
}
.invoice-list tr th.comment,
.invoice-list tr td.comment {
  width: 5%;
}

.invoice-list tr td .input {
  width: 70%;
  display: inline;
  margin-right: 5%;
}
.attendance-info th,
.attendance-info td {
  width: 9%;
}
.attendance-info .attendance-date {
  width: 11%;
}

.sidebar-menu {
  overflow-y: scroll;
}
.sidebar-menu::-webkit-scrollbar {
  width: 5px;
}
.sidebar-menu::-webkit-scrollbar-track {
  background-color: #ccc;
}
.sidebar-menu::-webkit-scrollbar-thumb {
  background-color: #46a1ec;
  border-radius: 20px;
}

.client-invoice-form input[type="text"],
.client-invoice-form input[type="number"],
.client-invoice-form select {
  width: 100% !important;
  border: none !important;
  border-bottom: 1px dashed #c8cfd7 !important;
}

.client-invoice-form .table-name,
.client-invoice-form .table-term {
  width: 20%;
}

.client-invoice-form .table-quantity,
.client-invoice-form .table-unit,
.client-invoice-form .table-unit-price,
.client-invoice-form .table-tax {
  width: 10%;
}

.client-invoice-list tr th,
.client-invoice-list tr td {
  width: 6%;
}
.client-invoice-list tr th.status {
  width: 8%;
}
.js-row-add {
  cursor: pointer;
}
